Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
application_deployment = client.application_deployments.retrieve(
"application_deployment_id",
)
print(application_deployment.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
applicationDeployment, err := client.ApplicationDeployments.Get(context.TODO(), "application_deployment_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", applicationDeployment.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/application-deployments/{application_deployment_id}const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/application-deployments/{application_deployment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"endpoint": "<string>",
"application_variant_id": "<string>",
"status": "PENDING",
"is_active": true,
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
Get Application Deployment
Description
Gets the details of a application deployment
Details
This API can be used to get information about a single application deployment by ID. To use this API, pass in the id that was returned from your Create Application Deployment API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
application-deployments
/
{application_deployment_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
application_deployment = client.application_deployments.retrieve(
"application_deployment_id",
)
print(application_deployment.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
applicationDeployment, err := client.ApplicationDeployments.Get(context.TODO(), "application_deployment_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", applicationDeployment.ID)
}
Path Parameters
Response
Successful Response
An enum representing the status of an application deployment. Attributes: PENDING: The deployment is pending. READY: The deployment is ready. FAILED: The deployment has failed. STOPPED: The deployment has stopped.
Available options:
PENDING, READY, FAILED, STOPPED The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The date and time when the entity was created in ISO format.

